Service tokens
List service tokens
Returns the service tokens for the given workspace, newest first.
Returns the service tokens for the given workspace, newest first.
GET
/v1/workspaces/{workspaceId}/service-tokensAuthorizationBearer <token>
OAuth2 authentication
In: header
Scope: workspace:admin, offline_access
Path Parameters
workspaceId*string
Match
^(wksp_)?([cC][^\s-]{8,}|[a-z0-9]+)$Query Parameters
cursor?|
Cursor for pagination
limit?integer
Page size, 1-100
Default
100Range
1 <= value <= 100Response Body
application/json
application/json
curl -X GET "https://api.prisma.io/v1/workspaces/string/service-tokens"{
"data": [
{
"id": "string",
"type": "serviceToken",
"name": "string",
"valueHint": "string",
"createdAt": "2019-08-24T14:15:22Z",
"expiresAt": "2019-08-24T14:15:22Z"
}
],
"pagination": {
"nextCursor": "string",
"hasMore": true
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}